<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<form name="form" ng-submit="validate()" ng-model-options="{ updateOn: 'blur' }">
    <div class="form-group required" ng-class="{'has-error': form.xpath.$invalid && form.xpath.$touched}">
        <label class="control-label">Filtre</label>
        <input xpath-autocomplete type="text" name="xpath" class="form-control" paths="paths" ng-model="data.xpathObj" xpath placeholder="Rechercher un élément..." required>
        <span class="help-block" ng-if="form.xpath.$error.xpath && form.xpath.$touched">L'expression renseignée n'est pas valide. Encore un petit effort !</span>
    </div>
    <div class="form-group">
        <label class="control-label">Valeur</label>
        <input type="text" name="value" class="form-control" ng-model="data.value">
    </div>
    <button type="button" class="btn btn-danger pull-right" ng-click="delete()" ng-show="predicate">Supprimer</button>
    <button type="submit" class="btn btn-primary">Enregistrer</button>
    <button type="button" class="btn btn-default" ng-click="closeThisDialog('$document')">Annuler</button>
</form>
